<?php
class ComControlPage extends netsControl {
	public function ComControlPage(){
		$this->netsControl();
	}
	
	public function getListCount($pPage,$pSelected){
		$tmpAR0=array(12,20,40,80);
?><span class="FBlack3 Title0">每页记录数：</span><?php
		foreach ($tmpAR0 as $Cell){
			if($Cell==$pSelected){
?><a href="#Here" class="Title0 Link1 FRed1 FStrong"><?php echo ($Cell); ?></a> <?php
			}else {
?><a href="<?php echo ($pPage); ?>?ListCount=<?php echo ($Cell); ?>" class="Title0 Link1 FGreen1"><?php echo ($Cell); ?></a> <?php
			}
		}
	}
	public function getSearchVisible($pPage,$pVisible){
		
?><span class="FBlack3 Title0">查询状态：</span>
<?php if ($pVisible==1) { ?>
<span class="FRed1">显示</span>
<?php }else { ?>
<span class="FRed1">隐藏</span>
<?php } ?>

<?php if ($pVisible==1) { ?>
<a href="<?php echo ($pPage); ?>?SearchVisible=0" class="Link1 FGreen1">我要隐藏</a>
<?php }else { ?>
<a href="<?php echo ($pPage); ?>?SearchVisible=1" class="Link1 FGreen1">我要显示</a>
<?php }
		
	}
	public function getPrevNextRecord($pPage,$pPrevid,$pNextid,$pExtendParameters){	

?><a href="<?php echo ($pPage); ?>" class="Link1 FBlack2">返回列表</a>
<?php if ($pPrevid!=0) { ?>
<a href="<?php echo ($pPage.'?ActionType=Normal&Normal='.$pPrevid.$this->sysSPLIT1.$pExtendParameters); ?>" class="Link1 FGreen1">上条记录</a>
<?php }else { ?>
<span class="FBlack4">上条记录</span>
<?php } if ($pNextid!=0) { ?>
<a href="<?php echo ($pPage.'?ActionType=Normal&Normal='.$pNextid.$this->sysSPLIT1.$pExtendParameters); ?>" class="Link1 FGreen1">下条记录</a>
<?php }else { ?>
<span class="FBlack4">下条记录</span>
<?php }

	}
	

	public function setControlStyle($pStyle){
		return ' class="SControl1 '.$pStyle.'" onfocus="this.className=\'SControlLight1 '.$pStyle.'\';" onblur="this.className=\'SControl1 '.$pStyle.'\';" ';
	}

}
?>